Ruby: Data Fields - Variables

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

### - m -

- m : BigStruct, struct_108byte, struct_116byte
- m_cRef : tagIEVENTSINKOBJ
- m_event_id : tagIEVENTSINKOBJ
- m_iid : tagIEVENTSINKOBJ
- m_tbl : rb_classext_struct
- machine : rb_context_struct, rb_execution_context_struct
- magic : ibf_header, malloc_params, malloc_state, tar_header
- main : rb_ractor_struct
- main_cache : rb_ractor_local_key_struct
- main_ractor : rb_vm_struct
- main_thread : rb_vm_struct
- major_gc_count : rb_objspace
- major_version : ibf_header
- malloc_limit_growth_factor : ruby_gc_params_t
- malloc_limit_max : ruby_gc_params_t
- malloc_limit_min : ruby_gc_params_t
- malloc_params : rb_objspace
- map : NodeOptInfo, OptMapInfo, re_pattern_buffer
- mark : rb_ractor_local_storage_type
- mark_bits : heap_page
- mark_func : rb_ractor_struct::gc_mark_func_data_struct
- mark_hash : node_buffer_struct
- mark_object_ary : rb_vm_struct
- mark_stack : rb_objspace
- markable : node_buffer_struct
- marked_slots : rb_objspace
- marker : rb_ensure_entry, rb_global_variable
- marking_bits : heap_page
- mask : ruby_features_t
- master : child_info
- match : ruby_glob_funcs_t, RVALUE
- match_available : internal_state
- match_length : internal_state
- match_start : internal_state
- match_string : JSON_ParserStruct
- matches : internal_state
- max : max_t, minmax_by_t, minmax_t, MinMaxLen, select_set, tr, vm_ifunc_argc
- max_bv : minmax_by_t
- max_chain : config_s
- max_chain_length : internal_state
- max_code : tree_desc_s
- max_enc_len : OnigEncodingTypeST
- max_footprint : malloc_state
- max_input : rb_transcoder
- max_lazy : config_s
- max_lazy_match : internal_state
- max_len : EncloseNode
- max_length : static_tree_desc_s
- max_nesting : JSON_Generator_StateStruct, JSON_ParserStruct
- max_numparam : parser_params
- max_output : rb_transcoder
- MaxCharSize : myCPINFOEX
- maxfd : rb_fdset_t
- MaxPrec : Real
- maxwds : Bigint
- mbc_case_fold : OnigEncodingTypeST
- mbc_to_code : OnigEncodingTypeST
- mbuf : CClassNode
- mday : tmx_funcs
- me : METHOD
- mem : _OnigStackType
- mem_alloc : ScanEnv
- mem_nodes_dynamic : ScanEnv
- mem_nodes_static : ScanEnv
- memo : JSON_ParserStruct, proc_entry, RVALUE
- ment : RVALUE
- mesg : rsock_send_arg, warning_args
- meta_char_table : OnigSyntaxType
- meth : enumerator
- method : curfile64_info, internal_state
- method_index : oleparamdata
- method_missing_reason : rb_callcache
- method_serial : rb_method_definition_struct
- methodname : ruby_dtrace_method_hook_args
- methods : sip_hash
- mfd : rb_ractor_struct
- mflags : malloc_state
- mid : allocation_info, iter_method_arg, rb_backtrace_location_struct, rb_callinfo, rescue_funcall_args
- mimeout_state : nkf_state_t
- min : min_t, minmax_by_t, minmax_t, MinMaxLen, tmx_funcs, vm_ifunc_argc
- min_bv : minmax_by_t
- min_enc_len : OnigEncodingTypeST
- min_len : EncloseNode
- minor_gc_count : rb_objspace
- minor_version : ibf_header
- mjit_cont : rb_context_struct
- mm : BigStruct
- mmap_threshold : malloc_params
- mmd : OptEnv, OptExactInfo, OptMapInfo
- mod : autoload_const
- mode : access_arg, attr_item, gz_state, inflate_state, mkdir_arg, rb_io_t, rb_objspace, seek_arg, tar_header
- modtime : utimbuf
- module_func : rb_scope_visi_struct
- module_subclasses : rb_classext_struct
- mon : tmx_funcs
- monitor : wait_for_cond_data
- mortal : dynamic_symbol_counts
- MountPointReparseBuffer : rb_w32_reparse_buffer_t
- move : obj_traverse_replace_data
- moved : RVALUE
- moved_count_table : rb_objspace
- moved_objects : gc_profile_record
- msecs : tmx_funcs
- msg : gz_state, z_stream_s
- msg_control : msghdr
- msg_controllen : msghdr
- msg_flags : msghdr
- msg_iov : msghdr
- msg_iovlen : msghdr
- msg_name : msghdr
- msg_namelen : msghdr
- msglen_byte : sip_state
- mt : rb_random_mt_t
- mtime : tar_header, utime_args
- mutex : rb_monitor, sleep_call, zstream